=== debian/changelog ===
exactimage (0.9.1-16) unstable; urgency=medium

  * debian/patches:
    - Add Fix-typo-s-sufficently-sufficiently.patch, Fix typo
      s/sufficently/sufficiently/
    - Add Disable-per-processor-optimization.patch, Disable per processor
      optimization flags
  * debian/rules:
    - disable PHP api builsd
  * Upgraded to policy 3.9.8, no changes required
  * Remove PHP5 package php5-exactimage (Closes: #821675)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Jun 2016 18:43:41 +0200

exactimage (0.9.1-15) unstable; urgency=medium

  * debian/control:
    - Disable jasper (JPEG2000) support (Closes: #818196)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Mar 2016 20:31:32 +0100

exactimage (0.9.1-14) unstable; urgency=high

  * Set urgency high for the CVE-2015-8366 fix transition
  * debian/patches:
    - Add debian/patches/Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch,
      Sort X_SRCS to reduce noise in reproducible diffs

 -- Sven Eckelmann <sven@narfation.org>  Wed, 24 Feb 2016 10:43:54 +0100

exactimage (0.9.1-13) unstable; urgency=medium

  * Upgraded to policy 3.9.7, no changes required
  * debian/patches:
    - Add Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch,
      Fix CVE-2015-8366: Index overflow in smal_decode_segment

 -- Sven Eckelmann <sven@narfation.org>  Tue, 23 Feb 2016 13:53:21 +0100

exactimage (0.9.1-12) unstable; urgency=medium

  * debian/rules
    - Enable PIE hardening
  * debian/control
    - Change Vcs-Git to https://
  * debian/patches:
    - Add Fix-typo-s-optinally-optionally.patch,
      Fix typo s/optinally/optionally/
    - Add Don-t-compile-dynamic-shared-objects-as-PIE.patch,
      Don't compile dynamic shared objects as PIE
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:14:02 +0100

exactimage (0.9.1-11) unstable; urgency=medium

  * debian/patches:
    - Add fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch,
      fix loading (absolute) filenames with colon (LP: #1516548)
    - Add Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch,
      Build as C++98 code to avoid errors when compiling as C++11
      (Closes: #811784)
  * debian/rules:
    - Disable LTO again due to GCC stability problems

 -- Sven Eckelmann <sven@narfation.org>  Fri, 22 Jan 2016 15:20:48 +0100

exactimage (0.9.1-10) unstable; urgency=medium

  * Change upstream URLs to https://exactcode.com
  * debian/control, debian/rules:
    - Drop exactimage-dbg in favor of -dbgsym package
  * Override the lintian warning about missing upstream changelog
  * Override the lintian warning about missing upstream source signature check
  * debian/copyright
    - Cleanup license short names
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Jan 2016 11:46:34 +0100

exactimage (0.9.1-9) unstable; urgency=medium

  * debian/patches:
    - Update giflib5.patch, Remove errant backslash
      Thanks Logan Rosen <logan@ubuntu.com>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Nov 2015 09:31:48 +0100

exactimage (0.9.1-8) unstable; urgency=medium

  * debian/patches:
    - Add Fix-FTBFS-when-building-with-swig-3.0.7.patch, Fix FTBFS when
      building with swig 3.0.7 (Closes: #804466)
  * debian/control:
    - Add dh-python to Build-Depends

 -- Sven Eckelmann <sven@narfation.org>  Sun, 08 Nov 2015 20:43:46 +0100

exactimage (0.9.1-7) unstable; urgency=medium

  * debian/patches:
    - Add giflib5.patch, Build using giflib5 (Closes: #803296)
      Thanks Matthias Klose <doko@debian.org>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 28 Oct 2015 17:06:31 +0100

exactimage (0.9.1-6) unstable; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add Encode-Ren-as-UTF-8.patch, Encode René as UTF-8 to avoid configure
      check failure
    - Add Fix-memory-leak-when-switching-between-images-in-edi.patch, Fix
      memory leak when switching between images in edisplay (Closes: #790780)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 08 Jul 2015 14:18:40 +0200

exactimage (0.9.1-5) unstable; urgency=high

  * Fix CVE-2015-3885: Integer overflow in the ljpeg_start function in dcraw
  * debian/patches:
    - Add CVE-2015-3885.patch, Avoid overflow in ljpeg_start()
      (Closes: #786785)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 May 2015 17:25:46 +0200

exactimage (0.9.1-4) unstable; urgency=medium

  * debian/patches:
    - Add drop_date.patch, Drop date to make build reproducible
  * debian/manpages:
    - Add date information to make build of manpages from xml reproducible
  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright
    - Rewrite copyright information
    - Update years

 -- Sven Eckelmann <sven@narfation.org>  Wed, 06 May 2015 00:03:35 +0200

exactimage (0.9.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/patches
    - Add draw_jpeg_fix.patch, fixed dcraw CVE fix to be able to load
      dcraw images

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 17:26:19 +0200

exactimage (0.9.1-2) experimental; urgency=medium

  * debian/patches:
    - Add bardecode_code128_bufferoverflow.patch, Fix buffer overflow when
      decoding code128 code_set_c (LP: #1425472)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Feb 2015 12:50:11 +0100

exactimage (0.9.1-1) experimental; urgency=medium

  * New Upstream Version
  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/manpages:
    - Add new options to hocr2pdf.1.xml
  * debian/patches:
    - Remove upstream merged CVE-2013-1438.patch, CVE-2013-1441.patch
    - Rebase patches on top of 0.9.1

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Feb 2015 19:12:29 +0100

exactimage (0.8.9-7) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API
  * debian/patches:

