=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 3.9.8
Homepage: https://exactcode.com/opensource/exactimage/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/exactimage.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/exactimage.git
Build-Depends:
 debhelper (>= 9.20151219),
 dh-python,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1.1),
 libagg-dev,
 libevas-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgif-dev,
 libjpeg-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff5-dev,
 libx11-dev,
 libxml2-utils,
 libxrender-dev,
 perl,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 swig,
 xsltproc,
X-Python-Version: >= 2.5

Package: edisplay
Architecture: any
Depends:
 ${evas:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs (image viewer)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the image viewer.

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 edisplay,
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 exactimage-perl (<< 0.8),
Replaces:
 exactimage-perl (<< 0.8),
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.
