## exactimage 0.9.2

=== debian/changelog ===
exactimage (0.9.2-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:02:21 +0000

exactimage (0.9.2-1) unstable; urgency=medium

  * debian/control:
    - Mark libexactimage-perl and python-exactimage as Multi-Arch: same
  * debian/patches:
    - Remove upstream merged
      + Add-missing-agg-includes.patch
      + Avoid-overflow-in-ljpeg_start.patch
      + Build-jpeg-functionality-for-libjpeg8.patch
      + Decode-image-before-accessing-the-stride-attribute-f.patch
      + Encode-Ren-as-UTF-8.patch
      + Fix-FTBFS-with-libpng-1.5.patch
      + Fix-memory-leak-when-switching-between-images-in-edi.patch
      + Link-against-libgif-instead-of-deprecated-libungif.patch
      + Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch
      + fixed-dcraw-CVE-fix-to-be-able-to-load-dcraw-images.patch
      + fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch
    - Rebase patches on top of 0.9.2:
      + Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch
      + Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch
      + Disable-dead-code-that-is-causing-compilation-errors.patch
      + Disable-unused-Evas-Helper-function-to-avoid-FTBFS.patch
      + Don-t-compile-dynamic-shared-objects-as-PIE.patch
      + Drop-date-to-make-build-reproducible.patch
      + Enforce-simple-verbose-build-for-blhc.patch
      + Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch
      + Fix-buffer-overflow-when-decoding-code128-code_set_c.patch
      + Fix-typo-s-optinally-optionally.patch
      + Fix-typo-s-sufficently-sufficiently.patch
      + Remove-dead-timer-code-which-causes-FTBFS.patch
      + Respect-CFLAGS-from-the-environment.patch
      + Use-PIC-version-of-static-AGG-library.patch
      + giflib5.patch
    - Add Remove-obsolete-path-reorientation-code-fixes-nonzero-fil.patch,
      Remove obsolete path reorientation code (fixes nonzero fill)
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Thu, 22 Jun 2017 09:44:18 +0200
