=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
 Package: libexactimage-perl
 Section: perl
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${perl:Depends},
@@ -80,6 +81,7 @@
 Package: python-exactimage
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${python:Depends},
