=== api/lua/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BINARY = ExactImage
 BINARY_EXT = $(X_DYNEXT)
-DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-lua-wrap.cc
+DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-lua-wrap.cc
 
 objdir/api/lua/CXXFLAGS := -I api $(LUAINCS) -fno-strict-aliasing
