=== debian/changelog ===
exactimage (1.0.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - update to debhelper 10
  * Upgraded to policy 4.1.1, no changes required
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
  * debian/patches:
    - Remove upstream merged
      Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch,
      Fix-FTBFS-when-building-with-swig-3.0.7.patch
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 13 Oct 2017 16:24:28 +0200
