=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: optional
 Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://exactcode.com/opensource/exactimage/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/exactimage.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/exactimage.git
 Build-Depends:
- debhelper (>= 9.20151219),
+ debhelper (>= 10),
  dh-python,
  docbook-xml,
  docbook-xsl,
