=== debian/rules ===
--- 
+++ 
@@ -50,12 +50,9 @@
 		cp -a objdir/api/$$python/* debian/tmp/$${PYDIR}; \
 	done
 
-override_dh_strip:
-	dh_strip -a --ddeb-migration='exactimage-dbg (<< 0.9.1-10~)'
-
 override_dh_shlibdeps:
 	dh_shlibdeps
 	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test
+	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test
