=== debian/watch ===
version=3
https://dl.exactcode.com/oss/exact-image/exact-image(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
