=== api/python/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BINARY = _ExactImage
 BINARY_EXT = $(X_DYNEXT)
-DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc
+DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc
 
 objdir/api/python/CXXFLAGS := -I api $(PYTHONINCS)
