=== debian/changelog ===
exactimage (1.0.2-7ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:32 +0100

exactimage (1.0.2-7ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2019 07:10:18 +0000

exactimage (1.0.2-7) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sun, 29 Dec 2019 12:54:56 +0100

exactimage (1.0.2-6) experimental; urgency=medium

  * Replace python-exactimage package with python3-exactimage (Closes: #936493)
  * debian/control:
    - Allow build without (fake)root
    - Upgraded to policy 4.4.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 30 Sep 2019 08:57:07 +0200

exactimage (1.0.2-5ubuntu2) focal; urgency=medium

  * No-change rebuild against libilmbase23 and libopenexr23.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:05:07 +0000

exactimage (1.0.2-5ubuntu1) focal; urgency=medium

  * Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 19 Oct 2019 23:40:53 -0600

exactimage (1.0.2-5) unstable; urgency=medium

  * Fix FTBFS against libgif >= 5.2 (Closes: #939031)
  * Fix libgif >= 5.1 compatibility

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Aug 2019 14:24:37 +0200

exactimage (1.0.2-4) unstable; urgency=medium

  * Upgraded to policy 4.4.0, no changes required
  * debian/control:
    - Switch debhelper dependency to debhelper-compat
  * lintian-overrides:
    - Avoid false spelling warning on non x86_64-linux-gnu
  * debian/copyright:
    - Fix copyright for edisplay

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 21:54:30 +0200

exactimage (1.0.2-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - Automatically select correct Vcs-Git branch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:40:52 +0200

exactimage (1.0.2-2) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:53 +0100

exactimage (1.0.2-1) unstable; urgency=medium

  * New Upstream Version
  * debian/copyright:
    - Update copyright information
  * debian/patches:
    - refresh patches

 -- Sven Eckelmann <sven@narfation.org>  Sun, 03 Feb 2019 17:49:58 +0100

exactimage (1.0.1-4) unstable; urgency=medium

  * debian/control:
    - Switch to shared library version of libagg (Closes: #921096)

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Feb 2019 18:30:24 +0100

exactimage (1.0.1-3) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules:
    - Drop (now default) parameter --parallel for dch
  * Ignore false positive spelling-mistake lintian warning about
    Pentax camera name
  * debian/control
    - remove "Multi-Arch: same" from python-exactimage due to usage of
      pycompile
    - Drop unnecessary X-Python-Version field
  * debian/copyright:
    - Fix copyright path of common files from lib/ to image/
    - Update copyright information

 -- Sven Eckelmann <sven@narfation.org>  Fri, 19 Oct 2018 19:57:15 +0200

exactimage (1.0.1-2) unstable; urgency=medium

  * debian/control:
    - Remove edisplay package which depends on libevas-dev < 1.20
    - Remove libevas-dev from Build-Depends
    - Remove now unused libxrender-dev Build-Depends
    - Adjust Vcs-* URLs to point to salsa.debian.org
  * debian/rules:
    - Disable libevas support to fix FTBFS against libevas-dev >= 1.20
      (Closes: #895511)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 Apr 2018 20:17:08 +0200
